package cn.iocoder.yudao.module.system.service.elderly;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.elderly.vo.NinePreventiveMeasuresPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.elderly.vo.NinePreventiveMeasuresRespVO;
import cn.iocoder.yudao.module.system.controller.admin.elderly.vo.NinePreventiveMeasuresSaveReqVO;

/**
 * 九防措施单 Service
 */
public interface NinePreventiveMeasuresService {

    Long create(NinePreventiveMeasuresSaveReqVO createReqVO);

    void update(NinePreventiveMeasuresSaveReqVO updateReqVO);

    void delete(Long id);

    NinePreventiveMeasuresRespVO get(Long id);

    PageResult<NinePreventiveMeasuresRespVO> getPage(NinePreventiveMeasuresPageReqVO pageReqVO);
}

